import 'dart:typed_data';

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:photo_view/photo_view.dart';
import 'package:terepi_seged/pages/measured_data/presentation/controllers/measured_data_controller.dart';
import 'package:widget_zoom/widget_zoom.dart';

class SeismogramViewerDialog extends StatelessWidget {
  final controller = Get.find<MeasuredDataController>();
  final String imageUrl;
  final Uint8List image;
  // final double sourcePoint;
  SeismogramViewerDialog(
      {required this.imageUrl, required this.image, super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: ListView(
        children: [
          Padding(
            padding: const EdgeInsets.all(8.0),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                IconButton(
                    onPressed: () {
                      Get.back();
                    },
                    icon: const Icon(Icons.close)),
                TextButton(
                    style: ButtonStyle(
                        overlayColor:
                            MaterialStateProperty.all(Colors.transparent)),
                    onPressed: () {
                      Get.back();
                    },
                    child: const Text(
                      'Bezár',
                      style: TextStyle(color: Colors.blue, fontSize: 14.0),
                    ))
              ],
            ),
          ),
          const Padding(
            padding: EdgeInsets.symmetric(horizontal: 15.0),
            child: Text(
              'Felvétel megtekintése ()',
              style: TextStyle(fontSize: 20.0, fontWeight: FontWeight.bold),
            ),
          ),
          Padding(
            padding: const EdgeInsets.only(top: 10.0),
            child: Center(
              child: WidgetZoom(
                zoomWidget: Image(image: MemoryImage(image)),
                heroAnimationTag: 'tag',
                maxScaleFullscreen: 8,
                maxScaleEmbeddedView: 8,
              ),
            ),
          )
        ],
      ),
    );
  }
}
